import { IJenkinsNode } from './jenkins-api-ts-typings';
export declare class JenkinsNode implements IJenkinsNode {
    jsonData: JSON;
    name: string;
    url: string;
    displayName: string;
    _class: string;
    idle: boolean;
    jnlpAgent: boolean;
    icon: string;
    iconClassName: string;
    launchSupported: boolean;
    manualLaunchAllowed: boolean;
    numExecutors: number;
    offline: boolean;
    offlineCauseReason: string;
    temporarilyOffline: boolean;
    actions: Array<any>;
    executors: Array<any>;
    loadStatistics: any;
    monitorData: any;
    offlineCause: any;
    oneOffExecutors: Array<any>;
    constructor();
    getJsonData(): string;
    fromJsonString(json: string): void;
    fromJson(data: JSON): void;
}
